Update line of credit account

This request updates an existing line of credit account.

   Click here to learn more about this request

A line of credit account can be updated after creation. Note the following when using this request:

Line of credit accounts are represented by the LineOfCredits entity, and nested within the LineOfCredits entity are objects that hold specific sets of information. The objects that hold account configuration information are the LineOfCreditSettings object and LineOfCreditSetup object.

Updating information within a nested object requires the ID of the object and the "__update" field. For more information on updating nested objects, take a look at our Adding and Updating Nested Entities guide.

Database

For information regarding Line of Credit database tables, see the following articles:

Database – Line of Credit Setup (line_of_credit_setup_entity)

Database – Line of Credit Account (line_of_credit_entity)

Database – Line of Credit Settings (line_of_credit_settings_entity)

{
    "displayId": "New LOC Display ID",
    "LineOfCreditSetup": {
        "__id": 2394,
        "__update": true,
        "openDate": "2022-02-01",
        "firstStatementDate": "2022-02-28",
        "firstDueDate": "2022-03-15",
        "drawPeriodExpirationDate": null,
        "totalCreditLimit": "2500.00",
        "lateFeeType": "lineOfCredit.lateFeeType.lesser",
        "fixedDollarAmount": "30.00",
        "unpaidPercentage": 0,
        "lesserFeePaymentValue": "0.00",
        "lesserFeePaymentPercentage": "0",
        "greaterFeePaymentValue": "0.00",
        "greaterFeePaymentPercentage": "0",
        "allowOverdraft": 1,
        "cardActFriendly": 0,
        "lateFeesInterestBearing": 0,
        "allowMultipleDisputes": 1,
        "LineOfCreditSetupBuckets": {
            "results": [
                {
                    "bucketId": 1,
                    "isPrimaryBucket": 1,
                    "compoundPastInterestCharges": "1",
                    "accountEnabled": 1,
                    "creditLimit": "2500.0000",
                    "interestChargeMethod": "lineOfCredit.bucketInterestChargeMethod.interest",
                    "computationMethod": "lineOfCredit.bucketComputationMethod.dailyBalance",
                    "newTransactions": "lineOfCredit.newTransactions.include",
                    "interestRate": "11.0000",
                    "interestAbatementMethod": "lineOfCredit.interestAbatementMethod.openDate",
                    "interestAbatementDays": 0,
                    "daysInYear": "loan.daysInYear.actual",
                    "minimumInterestCharges": "0.00"
                },
                {
                    "bucketId": 2,
                    "isPrimaryBucket": 0,
                    "compoundPastInterestCharges": "1",
                    "accountEnabled": 1,
                    "creditLimit": "1200.0000",
                    "interestChargeMethod": "lineOfCredit.bucketInterestChargeMethod.interest",
                    "computationMethod": "lineOfCredit.bucketComputationMethod.averageBalance",
                    "newTransactions": "lineOfCredit.newTransactions.include",
                    "interestRate": "24.0000",
                    "interestAbatementMethod": "lineOfCredit.interestAbatementMethod.transactionDate",
                    "interestAbatementDays": 75,
                    "daysInYear": "loan.daysInYear.actual",
                    "minimumInterestCharges": "2.00"
                },
                {
                    "bucketId": 3,
                    "isPrimaryBucket": 0,
                    "compoundPastInterestCharges": "1",
                    "accountEnabled": 1,
                    "creditLimit": "500.0000",
                    "interestChargeMethod": "lineOfCredit.bucketInterestChargeMethod.interest",
                    "computationMethod": "lineOfCredit.bucketComputationMethod.previousBalance",
                    "newTransactions": "lineOfCredit.newTransactions.exclude",
                    "interestRate": "5.0000",
                    "interestAbatementMethod": "lineOfCredit.interestAbatementMethod.openDate",
                    "interestAbatementDays": 180,
                    "daysInYear": "loan.daysInYear.actual",
                    "minimumInterestCharges": "1.00"
                }
            ]
        },
        "LineOfCreditSettings": {
            "__id": 2948,
            "__update": true,
            "autopayEnabled": 0,
            "loanStatusId": 6,
            "loanSubStatusId": 31,
            "paymentTypeDefault": 1,
            "sourceCompany": null,
            "merchantProcessorGroupId": 1,
            "cardFeeType": "loan.cardfee.types.0",
            "cardFeeAmount": "5",
            "cardFeePercent": "3",
            "lineOfCreditStatementTemplateDefault": 1,
            "secured": 1,
            "isStoplightManuallySet": 0,
            "lineOfCreditPaymentTypeDefault": 1,
            "CustomFieldValues": {
                "results": [
                    {
                        "customFieldId": 1,
                        "customFieldValue": "2"
                    }
                ]
            }
        }
    }
}
Path Params
int32
required

The ID of the line of credit account.

Body Params
string

This determines the display ID of the line of credit account.

string

This determines the text shown in the line of credit header.

LineOfCreditSetup
object

This object holds line of credit setup information.

LineOfCreditSettings
object

This object holds line of credit settings information.

Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json